/*****************************************************************************/
/*
                                 GeoLocate.h


18-MAR-2022  MGD  initial
*/
/*****************************************************************************/

#ifndef GEOLOCATE_H_LOADED
#define GEOLOCATE_H_LOADED 1

#define LOOKUP_RETRY 2

#define GEOSEP '|'

#define GEOLOCATE_CACHE_MAX 128

char* GeoLocate (char*, char*);
int GeoLocateCacheMax (int);
char* GeoLocateData (int);
char* GeoLocateLogicalName (char*);
char* GeoLocateLookup (char*, char*);
char* GeoLocateParse (char**);
char* GeoLocateRequest (char*, char*, char*);
char* GeoLocateResponse (char*, char*, char*);
char* GeoLocateSoftwareId ();
int GeoLocateUtf8 (int);

#endif /* GEOLOCATE_H_LOADED */

/****************************************************************************/

